osl::checkmate::OracleAdjust Struct Reference

`#include <oracleAdjust.h>`

## Static Public Member Functions

static const Move | attack (const NumEffectState &state, Move check_move)

## Detailed Description

Definition at line 12 of file oracleAdjust.h.

## Member Function Documentation

## attack()

const Move osl::checkmate::OracleAdjust::attack | ( | const NumEffectState & | state,
|  | Move | check_move )

inline static

Definition at line 14 of file oracleAdjust.h.

References osl::NumEffectState::allEffectAt(), osl::misc::GeneralMask< Integer >::any(), osl::BISHOP, osl::Board_Table, osl::Move::capturePtype(), osl::NumEffectState::findAttackAt(), osl::Move::from(), osl::NumEffectState::isAlmostValidMove(), osl::Move::isDrop(), osl::Piece::isPiece(), osl::Piece::isPtype(), osl::Move::isValid(), osl::SimpleState::isValidMoveByRule(), osl::KING, osl::LANCE, osl::Move::newCapture(), osl::Move::newFrom(), osl::Move::oldPtype(), osl::SimpleState::pieceOf(), osl::SimpleState::pieceOnBoard(), osl::Move::player(), osl::Move::ptype(), osl::Piece::ptype(), osl::Ptype_Table, osl::ROOK, osl::Piece::square(), osl::misc::GeneralMask< Integer >::takeOneBit(), osl::Move::to(), and osl::unpromote().

Referenced by osl::checkmate::Dfpn::proofOracleAttack().

The documentation for this struct was generated from the following file:

- oracleAdjust.h